Skip to content

CredRep⁠

Perform various operations on credit report records.

Operations⁠

getCredRepPagedListSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getCredRepPagedListSelectFields
POST /nexum/627/2022.01/account/getCredRepPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCredRepFields": false,
    "CredRepFields": {
      "Locator": true,
      "Bureau": true,
      "RequestDate": true,
      "RequestTime": true,
      "CompletionCode": true,
      "LastName": true,
      "LoanAmount": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchCredRepPagedSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/searchCredRepPagedSelectFields
POST /nexum/627/2022.01/account/searchCredRepPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCredRepFields": false,
    "CredRepFields": {
      "Locator": true,
      "Bureau": true,
      "RequestDate": true,
      "RequestTime": true,
      "CompletionCode": true,
      "LastName": true,
      "LoanAmount": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getCredRepItemPagedList⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CredRepLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getCredRepItemPagedList
POST /nexum/627/2022.01/account/getCredRepItemPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "CredRepLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCredRepItemListSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CredRepLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getCredRepItemListSelectFields
POST /nexum/627/2022.01/account/getCredRepItemListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "CredRepLocator": 0,
  "SelectableFields": {
    "IncludeAllCredRepItemFields": true,
    "CredRepItemFields": {
      "Amount": [
        0
      ],
      "Ch1": [
        0
      ],
      "Ch10": [
        0
      ],
      "Ch15": [
        0
      ],
      "Ch2": [
        0
      ],
      "Ch26": [
        0
      ],
      "Ch4": [
        0
      ],
      "ChLong": [
        0
      ],
      "Code": [
        0
      ],
      "Date": [
        0
      ],
      "SegExtended": true,
      "SegmentType": true,
      "SubsegmentType": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCredRepItemSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CredRepLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/searchCredRepItemSelectFields
POST /nexum/627/2022.01/account/searchCredRepItemSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "CredRepLocator": 0,
  "SelectableFields": {
    "IncludeAllCredRepItemFields": true,
    "CredRepItemFields": {
      "Amount": [
        0
      ],
      "Ch1": [
        0
      ],
      "Ch10": [
        0
      ],
      "Ch15": [
        0
      ],
      "Ch2": [
        0
      ],
      "Ch26": [
        0
      ],
      "Ch4": [
        0
      ],
      "ChLong": [
        0
      ],
      "Code": [
        0
      ],
      "Date": [
        0
      ],
      "SegExtended": true,
      "SegmentType": true,
      "SubsegmentType": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCredRepItemPagedListSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
CredRepLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getCredRepItemPagedListSelectFields
POST /nexum/627/2022.01/account/getCredRepItemPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "CredRepLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCredRepItemFields": true,
    "CredRepItemFields": {
      "Amount": [
        0
      ],
      "Ch1": [
        0
      ],
      "Ch10": [
        0
      ],
      "Ch15": [
        0
      ],
      "Ch2": [
        0
      ],
      "Ch26": [
        0
      ],
      "Ch4": [
        0
      ],
      "ChLong": [
        0
      ],
      "Code": [
        0
      ],
      "Date": [
        0
      ],
      "SegExtended": true,
      "SegmentType": true,
      "SubsegmentType": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}